Subject: Re: bug#77816: [PATCH] Fix deleting the first line of calc-trail-mode
From: Eli Zaretskii <[email-masked]>
To: Wojciech Siewierski <[email-masked]>
Cc: [email-masked]
Date: Tue, 15 Apr 2025 11:58:19 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Wojciech Siewierski <[email-masked]>
> Date: Mon, 14 Apr 2025 19:20:37 +0200
> 
> As of GNU Emacs 30.1 it's not possible to delete the first line of the
> calc trail visible after invoking the Emacs calculator.
> 
> To reproduce:
> 
> 1. Start Emacs calc: C-x * c
> 2. Enter a few numbers: 10 RET 20 RET 30 RET
> 3. Try deleting the trail lines, repeat for each line: t k
> 
> Expected behavior: all the trail lines are being deleted.
> 
> Actual behavior: the first line is still left, no error is reported.
> 
> This bug was introduced in commit
> 8e1376a39125c3ffc0484077b502444d853eca79, included since Emacs 28.1.
> Before that commit, calc trail used its first line as a header, which
> wasn't meant to be deleted.  After migrating to using header-line, the
> code preserving the first line was kept intact, still preventing the
> removal of the first line even though it's no longer special.
> 
> I'm attaching a patch fixing this behavior.

Thanks, I've now installed this on the emacs-30 release branch, and
I'm closing this bug.